Subject: bug#17075: [bug-diffutils] bug#17075: diff - - exits immediately

From: Paul Eggert <[email-masked]>
Date: Tue, 25 Mar 2014 16:42:19 -0700

I dunno, even that sounds dubious, as it's incomplete.  For example, 
when A and B are different files, 'diff -q A B' reads neither A nor B if 
it determines via the 'stat' syscall that the files are different sizes.

More generally, I'm not sure it's necessary or wise to describe exactly 
the optimizations 'diff' uses to avoid reading files.  Quite possibly, 
though, I'm not understanding the problem that caused you to file the 
bug report in the first place.